%undefine __cmake_in_source_build

Summary:       Library providing binary-decimal and decimal-binary routines for IEEE doubles
Name:          double-conversion
Version:       3.1.5
Release:       3%{?dist}
License:       BSD
URL:           https://github.com/google/double-conversion
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ cmake

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.  The library consists of
efficient conversion routines that have been extracted from the V8 JavaScript engine. The code has
been re-factored and improved so that it can be used more easily in other projects.

%package devel
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Requires:   %{name} = %{version}-%{release}

%description devel
Contains header files for developing applications that use the %{name} library.

There is extensive documentation in src/double-conversion.h. Other examples can be found in
test/cctest/test-conversions.cc.

%package static
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Requires:   %{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%global _vpath_builddir build-shared
%cmake -DBUILD_TESTING=ON
%cmake_build

%global _vpath_builddir build-static
CXXFLAGS="%{optflags} -fPIC" %cmake -DBUILD_SHARED_LIBS=NO
%cmake_build

%install
%global _vpath_builddir build-static
%cmake_install

%global _vpath_builddir build-shared
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md AUTHORS Changelog
%{_libdir}/libdouble-conversion.so.3*

%files devel
%{_libdir}/libdouble-conversion.so
%{_libdir}/cmake/%{name}
%{_includedir}/%{name}

%files static
%{_libdir}/libdouble-conversion.a

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Shuo Wang <abushwang@tencent.com> - 3.1.5-1
- initial build
